Subject: bug#17926: Menu and tooltip glitches using GTK toolkit

From: Jan Djärv <[email-masked]>
Date: Fri, 04 Jul 2014 13:07:00 +0200

2014-07-04 00:15, Robert Parlett skrev:
> When I click on a menu - say the Options menu, then cursor down to a sub-menu
> - say "Line wrapping in this buffer" - then when the pointer reaches the
> sub-item, its menu doesn't open.  I then have to move the mouse slightly, and
> only then does the menu open.

I tried this on Ubuntu 14.04, with emacs 24.4 candidate and emacs trunk.  They 
don't exhibit the problem you describe, sub menus are opened at once.

> Further, tooltips in a menu sometimes don't
> appear correctly at first.   They appear clipped and incomplete, but a further
> mouse move makes them redraw correctly.

I can't reproduce this either.  In the future, please refrain from reporting 
two problems in one bug report, make two separate bug reports instead.

Did you starte emacs with -Q?  You do not seem to run vanilla Ubuntu, but 
rather have another theme/window manager.  Please give the details of that 
(i.e. desktop environment, theme, window manager).

	Jan D.

>
> All other GTK apps work normally.
>
> I have created a youtube video which illustrates the above :-
> http://youtu.be/Ix1vO3T84ZI
>
> This affects version 24.3.1, installed in ubuntu 14.04, both on 32 and 64 bit
> installations.  I also downloaded the source, also version 24.3.1, and
> compiled that, with the same results.
>
> A workaround is to configure with "--with-x-toolkit=athena".  This toolkit's
> menus don't suffer from the same problems, and work fine.
>
>
> In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
>   of 2014-03-07 on lamiak, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.11501000
> System Description:    Ubuntu 14.04 LTS
>
> Configured using:
>   `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
>   '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
>   '--localstatedir=/var/lib' '--infodir=/usr/share/info'
>   '--mandir=/usr/share/man' '--with-pop=yes'
>
> '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
>
>   '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'
>   '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
>   'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
>   --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
>   'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro'
>   'CPPFLAGS=-D_FORTIFY_SOURCE=2''
>
> Important settings:
>    value of $LANG: en_GB.UTF8
>    locale-coding-system: utf-8-unix
>    default enable-multibyte-characters: t
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
>    tooltip-mode: t
>    mouse-wheel-mode: t
>    menu-bar-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    size-indication-mode: t
>    column-number-mode: t
>    line-number-mode: t
>    transient-mark-mode: t
>
> Recent input:
> <f1> <help-echo> <help-echo> <help-echo> <help-echo>
> <help-echo> <help-echo> <help-echo> <menu-bar> <help-menu>
> <send-emacs-bug-report>
>
> Recent messages:
> Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...
> Loading debian-ispell...
> Loading /var/cache/dictionaries-common/emacsen-ispell-default.el (source)...done
> Loading debian-ispell...done
> Loading /var/cache/dictionaries-common/emacsen-ispell-dicts.el (source)...done
> Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...done
> Loading /home/rparlett/emacsinit/init...
> Loading cl-indent...done
> Loading /home/rparlett/emacsinit/init...done
> For information about GNU Emacs and the GNU system, type C-h C-a.
>
> Load-path shadows:
> /usr/share/emacs/24.3/site-lisp/debian-startup hides
> /usr/share/emacs/site-lisp/debian-startup
> /usr/share/emacs24/site-lisp/dictionaries-common/ispell hides
> /usr/share/emacs/24.3/lisp/textmodes/ispell
> /usr/share/emacs24/site-lisp/dictionaries-common/flyspell hides
> /usr/share/emacs/24.3/lisp/textmodes/flyspell
> /usr/share/emacs/24.3/lisp/emacs-lisp/regexp-opt hides
> /home/rparlett/emacsinit/regexp-opt
>
> Features:
> (shadow sort gnus-util mail-extr emacsbug message cl-macs gv format-spec
> rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
> mm-util mail-prsvr mail-utils cus-edit easymenu cus-start cus-load
> wid-edit warnings server apropos objecticon-setup cl cl-lib time-date
> tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar
> dnd fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
> register page menu-bar rfn-eshadow timer select scroll-bar mouse
> jit-lock font-lock syntax facemenu font-core frame cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> minibuffer loaddefs button faces cus-face macroexp files text-properties
> overlay sha1 md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process dbusbind
> dynamic-setting system-font-setting font-render-setting move-toolbar gtk
> x-toolkit x multi-tty emacs)
>
>
>